|  | Home · All Classes · Modules

# QStyleOptionProgressBarV2 Class Reference
[QtGui module]

The QStyleOptionProgressBarV2 class is used to describe the parameters necessary for drawing a progress bar in Qt 4.1 or above. More...

Inherits QStyleOptionProgressBar.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionProgressBar other)
- __init__ (self, QStyleOptionProgressBarV2 other)

### Members

- bool bottomToTop
- bool invertedAppearance
- Qt.Orientation orientation

## Detailed Description

The QStyleOptionProgressBarV2 class is used to describe the parameters necessary for drawing a progress bar in Qt 4.1 or above.

An instance of this class has type SO_ProgressBar and version 2.

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionProgressBar and QStyleOptionProgressBarV2. One way to achieve this is to use the QStyleOptionProgressBarV2 copy constructor. For example:

         if (const QStyleOptionProgressBar *progressBarOption =
                qstyleoption_cast<const QStyleOptionProgressBar *>(option)) {
             QStyleOptionProgressBarV2 progressBarV2(*progressBarOption);

             // draw the progress bar using progressBarV2
         }

In the example above: If the `progressBarOption`'s version is 1, the extra members (orientation, invertedAppearance, and bottomToTop) are set to default values for `progressBarV2`. If the `progressBarOption`'s version is 2, the constructor will simply copy the extra members to progressBarV2.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionProgressBar and QStyleOption.

## Type Documentation

### QStyleOptionProgressBarV2.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionProgressBarV2.Type` | `SO_ProgressBar` | The type of style option provided (SO_ProgressBar for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionProgressBarV2.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionProgressBarV2.Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionProgressBarV2.__init__ (self)

Constructs a QStyleOptionProgressBarV2, initializing he members variables to their default values.

### QStyleOptionProgressBarV2.__init__ (self, QStyleOptionProgressBar other)

Constructs a copy of the other style option which can be either of the QStyleOptionProgressBar and QStyleOptionProgressBarV2 types.

If the other style option's version is 1, the extra members (orientation, invertedAppearance, and bottomToTop) are set to default values for the new style option. If other's version is 2, the extra members are simply copied.

See also version.

### QStyleOptionProgressBarV2.__init__ (self, QStyleOptionProgressBarV2 other)

Constructs a copy of the other style option.

## Member Documentation

### bool bottomToTop

This variable holds whether the text reads from bottom to top when the progress bar is vertical.

The default value is false.

See also QProgressBar.textDirection.

### bool invertedAppearance

This variable holds whether the progress bar's appearance is inverted.

The default value is false.

See also QProgressBar.invertedAppearance.

### Qt.Orientation orientation

This variable holds the progress bar's orientation (horizontal or vertical); the default orentation is Qt.Horizontal.

See also QProgressBar.orientation.